%define xmms_outputdir %(xmms-config --output-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/Output)

Summary: Audio crossfade plugin for XMMS
Name: xmms-crossfade
Version: 0.3.10
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.eisenlohr.org/xmms-crossfade/
Source: http://www.eisenlohr.org/xmms-crossfade/xmms-crossfade-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xmms >= 1.2.10-20
BuildRequires: xmms-devel, libsamplerate-devel

%description
A plugin for XMMS featuring crossfading, continuous output between songs and
a gap-killer.


%prep
%setup -q


%build
%configure --libdir=%{xmms_outputdir}
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall libdir=%{buildroot}%{xmms_outputdir}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README TODO
%exclude %{xmms_outputdir}/libcrossfade.la
%{xmms_outputdir}/libcrossfade.so


%changelog
* Wed Apr 05 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Feb 13 2006 Matthias Saou <http://freshrpms.net/> 0.3.10-1
- Update to 0.3.10.
- Spec file cleanup.
- Remove no longer needed gcc4 patch.
- Require xmms >= 1.2.10-20 since it includes the required patches.

* Wed Apr 13 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.3.8-4
- Add patch0 for GCC4 to fix some storage class mismatches.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 0.3.8-2
- Bump release to provide Extras upgrade path.
- Removed gtk+-devel build dep, it's been fixed/added in xmms-devel.

* Sat Sep 25 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.8-0.fdr.1
- Updated to 0.3.8.

* Sun Sep 19 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.6-0.fdr.1
- Updated to 0.3.6.
- Added libsamplerate-devel buildreq.

* Sat Aug 21 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.5-0.fdr.1
- Updated to 0.3.5.
- Updated URL.

* Wed Oct  8 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.4-0.fdr.1
- Updated to 0.3.4.
- Removed comment lines.

* Tue Jun  3 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.2-0.fdr.2
- Removed superfluous glib-devel BuildRequires.

* Fri May 30 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.2-0.fdr.1
- Initial Fedora RPM.
